<template>
  <card-group class="wind-set-group">
    <!-- <div class="wind-set-group"> -->
    <template v-slot:content>
      <!-- 风速设置 -->
      <wind-speed />
      <!-- 分割线 -->
      <gree-divider class="wind-divider" v-if="hasWindDirction" />
      <!-- 风向设置 -->
      <wind-direction ref="windDirctionData" />
    </template>
    <!-- <gree-toolbar position="bottom" no-hairline> </gree-toolbar> -->
    <!-- </div> -->
  </card-group>
</template>

<script>
import { ToolBar, Divider } from 'gree-ui';
import WindSpeed from './windSpeed';
import windDirection from './windDirection';
import CardGroup from '@/components/CardGroup/index';

export default {
  name: 'wind-set-group',
  components: {
    [WindSpeed.name]: WindSpeed,
    [windDirection.name]: windDirection,
    [ToolBar.name]: ToolBar,
    [Divider.name]: Divider,
    [CardGroup.name]: CardGroup
  },
  data() {
    return {
      hasWindDirction: true
    };
  },
  mounted() {
    this.isShowWindDirction();
  },
  methods: {
    isShowWindDirction() {
      this.hasWindDirction = Boolean(this.$refs.windDirctionData.$on('getSwingData').swingData.length);
    }
  }
};
</script>

<style lang="scss">
.wind-set-group {
  position: relative;
  width: 100%;
  height: auto;
  background-color: transparent;
  bottom: 0 !important;
  // padding-bottom: 36px;
  .card-group-content {
    display: flex;
    flex-wrap: wrap;
    .wind-divider {
      color: #989898;
      opacity: 0.3;
    }
  }
  .wind-box {
    width: 100%;
    $headerHeight: 68px;
    &-header {
      width: 100%;
      height: $headerHeight;
      margin-top: 24px;
      &-icon {
        float: left;
        height: $headerHeight;
        width: $headerHeight;
        border-radius: 50%;
        background: linear-gradient(180deg, rgb(127, 181, 246), rgb(109, 164, 230));
        font-size: 40px;
        color: #f4f4f4;
        line-height: $headerHeight;
        text-align: center;
      }
      &-text {
        color: rgb(64, 70, 87);
        line-height: $headerHeight;
        padding-left: 20px;
        font-size: 42px;
      }
    }
  }
}
</style>
